Unsupported major.minor version 51.0问题及解决方法

原创
2016/09/02 09:43
阅读数 47

这两天单元测试的时候莫名报了错,搞了半天,网上一搜原来发现是两个类库的JDK编译版本有问题

 

jdk1.6工程中使用外部jar包中类出现:Unsupported major.minor version 51.0

外部jar包使用jdk1.7(jdk7)编译,而使用此jar包的工程jdk版本为jdk1.6(jdk6),算是版本不支持。

解决方法:统一用同一版本JDK编译。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部